Get Essbase Script RTSVs

get

/applications/{applicationName}/databases/{databaseName}/scripts/{scriptName}/rtsv

Returns the runtime substitution variables used in the specified script name.

Request

Path Parameters
Back to Top

Response

200 Response

OK

List of runtime substitution variables returned successfully.

400 Response

Bad Request

Failed to get variables. The application, database, or script name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to use the Essbase REST API to get runtime substitution variables (RTSVs) associated with a calc script.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Get Calc Script Run-Time Substitution Variables

call properties.bat
curl -X GET https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/scripts/pov_scenario_period/rtsv -H "accept: application/json" -u %User%:%Password%

Example of Response Body

{
  "items" : [ {
    "name" : "rtsvEntity",
    "description" : "Entities to Copy",
    "allowMissing" : false,
    "dimension" : "Entity",
    "singleChoice" : false,
    "type" : "MEMBER",
    "value" : "POV"
  }, {
    "name" : "rtsvScenario",
    "description" : "Scenarios to Copy",
    "allowMissing" : false,
    "dimension" : "Scenario",
    "singleChoice" : false,
    "type" : "MEMBER",
    "value" : "POV"
  }, {
    "name" : "rtsvPeriod",
    "description" : "Period to Copy",
    "allowMissing" : false,
    "dimension" : "Period",
    "singleChoice" : true,
    "type" : "MEMBER",
    "value" : "POV"
  } ]
}
Back to Top